Subject: bug#8621: build-aux/compile: avoid race condition failure

From: Stefano Lattarini <[email-masked]>
Date: Wed, 11 Jan 2012 18:38:08 +0100

severity minor 8621
tags wontfix 8621
close 8621
thanks

Reference:
  <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8621>

Regarding this bug, Jim Meyering has wrote in a (off-list) reply:
>
> I'm not terribly concerned about that, since it impacts only the
> few people who are stuck using inferior compilers, and who insist
> on building in parallel, *and* for the few projects where the same
> source file ends up being compiled to two or more .o files.
>
> A very small user base.

And Peter Rosin has replied (again, off-list):
>
> For the MSVC case and a sufficiently new compile script (i.e. the one
> on master or branch-1.11, but not the one on maint), -Fe and -Fo are
> used as mentioned in the last post in the bug (#14), so MSVC is no
> longer affected and I hereby retract my concern.
>

I'm thus marking this bug as "wontfix", and closing it.  Hopefully, the
affected inferior compilers will die out anyway (the sooner the better).

Regards,
  Stefano